;*******************************************************************
;                           bmul.inc
;                 8x8 Software Multiplier Macro
;*******************************************************************
; The 16 bit result is stored in D1.
;
;       Performance :   ROM        :  5 locations
;                       cycles     :  6 + 71
;
;  Syntax: Multiply f1, f2
;  Result: D0
;*******************************************************************

IFNDEF    __REGISTERS
#include  "registrs.inc"
ENDIF
           EXTERN   bmul
 
Multiply   macro    _mulcnd,  _mulplr
           movf     _mulcnd,  W
           movwf    B6
           movf     _mulplr,  W
           movwf    B7
           call     bmul
           endm
