;*******************************************************************
;                           Registrs.inc
;               Common registers B0-B7, D0-D3, F0-F3.
;*******************************************************************
;       Performance :   ROM        : 
;                       RAM        :  
;                       cycles     :  
;
;*******************************************************************

#define __REGISTERS 1

            EXTERN      B0
            EXTERN      B1
            EXTERN      B2
            EXTERN      B3
            EXTERN      B4
            EXTERN      B5
            EXTERN      B6
            EXTERN      B7
#define     D0          B0
#define     D1          B2
#define     D2          B4
#define     D3          B6
#define     F0          B0
#define     F1          B2
#define     F2          B4
#define     F3          B6

RB0         EQU         0           ;+
RB1         EQU         1           ;
RB2         EQU         2           ;
RB3         EQU         3           ; 
RB4         EQU         4           ; RB0-RB7
RB5         EQU         5           ;
RB6         EQU         6           ;
RB7         EQU         7           ;-


